Skip to main content
PUT
/
api
/
teams
/
{team_id}
/
proxy_profiles
/
{id}
Error
A valid request URL is required to generate request examples
{
  "@id": "<string>",
  "@type": "<string>",
  "@context": "<string>",
  "id": "<string>",
  "name": "",
  "notes": "<string>",
  "auth_method": "usernamePassword",
  "proxy_protocol": "http",
  "port": 2499,
  "location": {
    "country_code": "<string>",
    "region": "<string>",
    "city": "<string>",
    "asn": 123
  },
  "session": {
    "type": "rotating",
    "duration": 5040
  },
  "advanced_settings": {
    "region_endpoint": false,
    "region_endpoint_country": "<string>",
    "region_endpoint_region": "<string>",
    "region_endpoint_city": "<string>",
    "sess_replace": true,
    "tcp_ip_fingerprint": false,
    "tcp_ip_fingerprint_preset": "<string>",
    "filter_by_subnets": false,
    "filter_by_subnets_list": [
      "<string>"
    ],
    "gps_location_filtering": false,
    "gps_location_address": "<string>",
    "gps_location_lat": 123,
    "gps_location_lng": 123,
    "gps_location_radius_miles": 123
  },
  "proxy_generator": {
    "count": 1,
    "output_format": "host:port:user:pass",
    "delimiter": "comma",
    "session_prefix": "<string>",
    "session_label": "<string>",
    "include_protocol": false,
    "use_ip_change_url": false
  },
  "team": {
    "@id": "<string>",
    "@type": "<string>",
    "name": "<string>",
    "@context": "<string>",
    "id": "<string>",
    "owner_email": "<string>"
  },
  "proxy_account": {
    "@id": "<string>",
    "@type": "<string>",
    "@context": "<string>",
    "id": "<string>",
    "description": "<string>",
    "enabled": true,
    "status": "ACCOUNT_BLOCKED",
    "is_active": false,
    "username": "<string>",
    "plain_password": "<string>",
    "team": {
      "@id": "<string>",
      "@type": "<string>",
      "name": "<string>",
      "@context": "<string>",
      "id": "<string>",
      "owner_email": "<string>"
    }
  }
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

team_id
string
required

Team identifier

id
string
required

ProxyProfile identifier

Body

The updated ProxyProfile resource

Core proxy profile operations

name
string
default:""
Minimum string length: 3
notes
string | null
Maximum string length: 1000
proxy_type
enum<string> | null
Available options:
residential,
mobile,
null
auth_method
enum<string>
default:usernamePassword
Available options:
usernamePassword,
ipWhitelist
proxy_protocol
enum<string>
default:http
Available options:
http,
https,
socks5
port
integer | null
Required range: 2000 <= x <= 2999
location
object
session
object
advanced_settings
object
proxy_generator
object
proxy_account
string<iri-reference>
Example:

"https://example.com/"

Response

ProxyProfile resource updated

Core proxy profile operations

@id
string
required
@type
string
required
@context
id
string
read-only
name
string
default:""
Minimum string length: 3
notes
string | null
Maximum string length: 1000
proxy_type
enum<string> | null
Available options:
residential,
mobile,
null
auth_method
enum<string>
default:usernamePassword
Available options:
usernamePassword,
ipWhitelist
proxy_protocol
enum<string>
default:http
Available options:
http,
https,
socks5
port
integer | null
Required range: 2000 <= x <= 2999
location
object
session
object
advanced_settings
object
proxy_generator
object
team
object

Basic CRUD operations

proxy_account
object